Major update issues today on two computers


#1

Is anyone else having major update issues with the latest updates today? I just had to rebuild basically from scratch two computers that were rendered inoperable by installing the latest updates by the Update Notifier.

One computer removed gnome and the desktop. The other computer removed my Nvidia drivers and installed Radeon/Mesa/EGL-Wayland/DRM drivers in their place.

Autoremove basically removes your desktop and half the system.

Aren’t these updates vetted before releasing?


#2

As far as I recall, the Ubuntu update center had a type of measurement for the stability of updates. Each update got a rating ranging from 1-5. The lower the number, the safer. Back then, usually only the 1 and 2 updates were ticked on and the others were optional. I think later the standard was that all updates are ticked on, even the 5 rated. 5 rated meant basically, that what you described can happen any time and it is expected. So nothing out of the ordinary if you installed all updates.

(This was back then, before even Unity existed, so maybe something changed since then…)


#3

Looking a second time at your post, I think maybe you changed something (by accident?) in your Settings. Wayland is basically an all-new X11 alternative that is incompatible with most of the stuff that was built for X11. In short, Ubuntu is hipster enough to remove all the old stuff to make it possible to let some new stuff get into its place. It’s good to move to a newer and better system but sometimes it can look like your scenario, I guess.
I’m not sure if this is the actual reason, but it certainly sounds possible, especially when reading the quoted part of your post.


#4

by gnome i am guessing ubuntu (also the ubuntu category didn’t hurt :smiley: on further review), but which release? 18.10 or .04 or 19.04?


#5

No, I haven’t and won’t touch Wayland with a ten foot pole. X11 only here always for compatibility with older programs. Same for Nvidia drivers only also because I do distributed computing.

All I did was accept the updates via the Software Updater. Once you do that it is off to the races and all you can do is watch. No chance to confirm or deny any proposed change.

I can post the apt logs if you are interested but they are extensive.


#6

Do that but inline the code formatted text into a hide details text, choosing this option is possible by clicking on the cogwheel in the window that lets you write a new post.

Once you are at posting logs, you might as well post every error and relevant log entry that could help us solve the issue.


#7

Ubuntu 18.04 with Nvidia 410.78 drivers or 415.27 drivers depending on the computer.

I was left to recover from the tty terminal command line. Had to install gdm and got me the login loop.

The re-installed the gnome-desktop.

Then installed the repository 390 drivers to get to a desktop again. Where I could get back to my 415.27 drivers.

What a fiasco.


#8

First time user of the forum, so bear with me. Not sure what other log entry you mean. The system log?

Summary
Start-Date: 2019-02-01  19:05:35
Commandline: aptdaemon role='role-commit-packages' sender=':1.1067'
Upgrade: update-notifier-common:amd64 (3.192.1.4, 3.192.1.5), libasound2-data:amd64 (1.1.3-5ubuntu0.1, 1.1.3-5ubuntu0.2), totem-plugins:amd64 (3.26.0-0ubuntu6.1, 3.26.0-0ubuntu6.2), libtotem0:amd64 (3.26.0-0ubuntu6.1, 3.26.0-0ubuntu6.2), gir1.2-totem-1.0:amd64 (3.26.0-0ubuntu6.1, 3.26.0-0ubuntu6.2), libasound2:amd64 (1.1.3-5ubuntu0.1, 1.1.3-5ubuntu0.2), totem-common:amd64 (3.26.0-0ubuntu6.1, 3.26.0-0ubuntu6.2), totem:amd64 (3.26.0-0ubuntu6.1, 3.26.0-0ubuntu6.2), update-notifier:amd64 (3.192.1.4, 3.192.1.5)
End-Date: 2019-02-01  19:05:39

Start-Date: 2019-02-01  19:06:38
Commandline: aptdaemon role='role-commit-packages' sender=':1.1067'
Install: libllvm7:amd64 (1:7-3~ubuntu0.18.04.1, automatic), libllvm7:i386 (1:7-3~ubuntu0.18.04.1, automatic)
Upgrade: update-manager-core:amd64 (1:18.04.11.8, 1:18.04.11.9), libvncclient1:amd64 (0.9.11+dfsg-1ubuntu1, 0.9.11+dfsg-1ubuntu1.1), libcairo-gobject2:amd64 (1.15.10-2, 1.15.10-2ubuntu0.1), grub-common:amd64 (2.02-2ubuntu8.9, 2.02-2ubuntu8.10), libavahi-glib1:amd64 (0.7-3.1ubuntu1.1, 0.7-3.1ubuntu1.2), libkmod2:amd64 (24-1ubuntu3.1, 24-1ubuntu3.2), snapd:amd64 (2.34.2+18.04, 2.37.1+18.04), update-manager:amd64 (1:18.04.11.8, 1:18.04.11.9), libavahi-common-data:amd64 (0.7-3.1ubuntu1.1, 0.7-3.1ubuntu1.2), libavahi-common3:amd64 (0.7-3.1ubuntu1.1, 0.7-3.1ubuntu1.2), grub2-common:amd64 (2.02-2ubuntu8.9, 2.02-2ubuntu8.10), kmod:amd64 (24-1ubuntu3.1, 24-1ubuntu3.2), deja-dup:amd64 (37.1-2fakesync1, 37.1-2fakesync1ubuntu0.1), libavahi-ui-gtk3-0:amd64 (0.7-3.1ubuntu1.1, 0.7-3.1ubuntu1.2), grub-efi-amd64-bin:amd64 (2.02-2ubuntu8.9, 2.02-2ubuntu8.10), python3-distupgrade:amd64 (1:18.04.29, 1:18.04.30), python3-update-manager:amd64 (1:18.04.11.8, 1:18.04.11.9), ubuntu-release-upgrader-core:amd64 (1:18.04.29, 1:18.04.30), avahi-daemon:amd64 (0.7-3.1ubuntu1.1, 0.7-3.1ubuntu1.2), tar:amd64 (1.29b-2, 1.29b-2ubuntu0.1), libavahi-core7:amd64 (0.7-3.1ubuntu1.1, 0.7-3.1ubuntu1.2), ubuntu-core-launcher:amd64 (2.34.2+18.04, 2.37.1+18.04), grub-efi-amd64:amd64 (2.02-2ubuntu8.9, 2.02-2ubuntu8.10), avahi-autoipd:amd64 (0.7-3.1ubuntu1.1, 0.7-3.1ubuntu1.2), thermald:amd64 (1.7.0-5ubuntu1, 1.7.0-5ubuntu2), ubuntu-release-upgrader-gtk:amd64 (1:18.04.29, 1:18.04.30), grub-efi-amd64-signed:amd64 (1.93.10+2.02-2ubuntu8.9, 1.93.11+2.02-2ubuntu8.10), avahi-utils:amd64 (0.7-3.1ubuntu1.1, 0.7-3.1ubuntu1.2), libcairo2:amd64 (1.15.10-2, 1.15.10-2ubuntu0.1), libavahi-client3:amd64 (0.7-3.1ubuntu1.1, 0.7-3.1ubuntu1.2), gnome-shell-extension-ubuntu-dock:amd64 (0.9.1ubuntu18.04.1, 0.9.1ubuntu18.04.3)
Error: Sub-process /usr/bin/dpkg returned an error code (1)
End-Date: 2019-02-01  19:07:11

Start-Date: 2019-02-01  19:59:05
Commandline: apt-get purge -y grub*-common grub-common:i386 shim-signed
Purge: os-prober:amd64 (1.74ubuntu1), grub-common:amd64 (2.02-2ubuntu8.10), grub2-common:amd64 (2.02-2ubuntu8.10), grub-efi-amd64-bin:amd64 (2.02-2ubuntu8.10), grub-efi-amd64:amd64 (2.02-2ubuntu8.10), grub-efi-amd64-signed:amd64 (1.93.11+2.02-2ubuntu8.10)
End-Date: 2019-02-01  19:59:07

Start-Date: 2019-02-01  19:59:52
Commandline: apt-get install -y grub-efi
Install: grub-efi:amd64 (2.02-2ubuntu8.10), os-prober:amd64 (1.74ubuntu1, automatic), grub-common:amd64 (2.02-2ubuntu8.10, automatic), grub2-common:amd64 (2.02-2ubuntu8.10, automatic), grub-efi-amd64-bin:amd64 (2.02-2ubuntu8.10, automatic), grub-efi-amd64:amd64 (2.02-2ubuntu8.10, automatic)
End-Date: 2019-02-01  19:59:55

Start-Date: 2019-02-01  20:11:14
Commandline: aptdaemon role='role-commit-packages' sender=':1.66'
Upgrade: libdrm-nouveau2:amd64 (2.4.91-2, 2.4.95-1~18.04.1), libdrm-nouveau2:i386 (2.4.91-2, 2.4.95-1~18.04.1), libapt-inst2.0:amd64 (1.6.6ubuntu0.1, 1.6.8), apt:amd64 (1.6.6ubuntu0.1, 1.6.8), libapt-pkg5.0:amd64 (1.6.6ubuntu0.1, 1.6.8), libdrm-amdgpu1:amd64 (2.4.91-2, 2.4.95-1~18.04.1), libdrm-amdgpu1:i386 (2.4.91-2, 2.4.95-1~18.04.1), libdrm2:amd64 (2.4.91-2, 2.4.95-1~18.04.1), libdrm2:i386 (2.4.91-2, 2.4.95-1~18.04.1), apt-utils:amd64 (1.6.6ubuntu0.1, 1.6.8), libdrm-intel1:amd64 (2.4.91-2, 2.4.95-1~18.04.1), libdrm-intel1:i386 (2.4.91-2, 2.4.95-1~18.04.1), apt-transport-https:amd64 (1.6.6ubuntu0.1, 1.6.8), libdrm-radeon1:amd64 (2.4.91-2, 2.4.95-1~18.04.1), libdrm-radeon1:i386 (2.4.91-2, 2.4.95-1~18.04.1), libdrm-common:amd64 (2.4.91-2, 2.4.95-1~18.04.1)
End-Date: 2019-02-01  20:11:19

Start-Date: 2019-02-01  20:12:08
Commandline: /usr/sbin/synaptic
Requested-By: keith (1000)
Install: libwayland-egl1:amd64 (1.16.0-1ubuntu1.1~18.04.1, automatic)
Upgrade: libegl-mesa0:amd64 (18.0.5-0ubuntu0~18.04.1, 18.2.2-0ubuntu1~18.04.1), libegl1-mesa:amd64 (18.0.5-0ubuntu0~18.04.1, 18.2.2-0ubuntu1~18.04.1), libgbm1:amd64 (18.0.5-0ubuntu0~18.04.1, 18.2.2-0ubuntu1~18.04.1), libwayland-client0:amd64 (1.14.0-2, 1.16.0-1ubuntu1.1~18.04.1), libwayland-egl1-mesa:amd64 (18.0.5-0ubuntu0~18.04.1, 18.2.2-0ubuntu1~18.04.1), libwayland-server0:amd64 (1.14.0-2, 1.16.0-1ubuntu1.1~18.04.1), libwayland-cursor0:amd64 (1.14.0-2, 1.16.0-1ubuntu1.1~18.04.1)
Remove: libcogl20:amd64 (1.22.2-3), libclutter-1.0-0:amd64 (1.26.2+dfsg-4), libclutter-gst-3.0-0:amd64 (3.0.26-1), gnome-control-center:amd64 (1:3.28.2-0ubuntu0.18.04.2), libllvm7:amd64 (1:7-3~ubuntu0.18.04.1), libllvm7:i386 (1:7-3~ubuntu0.18.04.1), qml-module-qtquick2:amd64 (5.9.5-0ubuntu1.1), libcogl-path20:amd64 (1.22.2-3), qml-module-ubuntu-onlineaccounts:amd64 (0.6+17.04.20170405-0ubuntu1), ubuntu-desktop:amd64 (1.417), libcogl-pango20:amd64 (1.22.2-3), qml-module-qttest:amd64 (5.9.5-0ubuntu1.1), cheese:amd64 (3.28.0-1ubuntu1), qtdeclarative5-test-plugin:amd64 (5.9.5-0ubuntu1.1), unity-control-center:amd64 (15.04.0+18.04.20180216-0ubuntu1), indicator-bluetooth:amd64 (0.0.6+17.10.20170605-0ubuntu3), totem-plugins:amd64 (3.26.0-0ubuntu6.2), libtotem0:amd64 (3.26.0-0ubuntu6.2), gir1.2-totem-1.0:amd64 (3.26.0-0ubuntu6.2), xorg:amd64 (1:7.7+19ubuntu7.1), gnome-initial-setup:amd64 (3.28.0-2ubuntu6.16.04.4), libcheese-gtk25:amd64 (3.28.0-1ubuntu1), libgl1-mesa-glx:amd64 (18.0.5-0ubuntu0~18.04.1), libcheese8:amd64 (3.28.0-1ubuntu1), totem:amd64 (3.26.0-0ubuntu6.2), qtdeclarative5-accounts-plugin:amd64 (0.6+17.04.20170405-0ubuntu1), gstreamer1.0-clutter-3.0:amd64 (3.0.26-1), qml-module-qtgraphicaleffects:amd64 (5.9.5-0ubuntu1), qtdeclarative5-qtquick2-plugin:amd64 (5.9.5-0ubuntu1.1), libclutter-gtk-1.0-0:amd64 (1.8.4-3)
Purge: linux-modules-extra-4.15.0-42-generic:amd64 (), linux-modules-4.15.0-42-generic:amd64 (), linux-image-4.15.0-42-generic:amd64 ()
End-Date: 2019-02-01  20:12:12

Start-Date: 2019-02-01  20:13:33
Commandline: /usr/sbin/synaptic
Requested-By: keith (1000)
Upgrade: libglapi-mesa:amd64 (18.0.5-0ubuntu0~18.04.1, 18.2.2-0ubuntu1~18.04.1), libglapi-mesa:i386 (18.0.5-0ubuntu0~18.04.1, 18.2.2-0ubuntu1~18.04.1)
Remove: libgoa-backend-1.0-1:amd64 (3.28.0-0ubuntu2.1), xserver-xorg-input-all:amd64 (1:7.7+19ubuntu7.1), xserver-xorg-input-synaptics:amd64 (1.9.0-1ubuntu1), xserver-xorg:amd64 (1:7.7+19ubuntu7.1), gnome-calendar:amd64 (3.28.2-0ubuntu0.18.04.1), xserver-xorg-video-qxl:amd64 (0.1.5-2build1), xserver-xorg-video-vesa:amd64 (1:2.3.4-1build3), libqt5svg5:amd64 (5.9.5-0ubuntu1), libedataserverui-1.2-2:amd64 (3.28.5-0ubuntu0.18.04.1), qml-module-qtquick-window2:amd64 (5.9.5-0ubuntu1.1), xserver-xorg-video-nouveau:amd64 (1:1.0.15-2), xserver-xorg-video-amdgpu:amd64 (18.0.1-1), unity-session:amd64 (3.28.1-0ubuntu3), gir1.2-mutter-2:amd64 (3.28.3-2~ubuntu18.04.2), gvfs-backends:amd64 (1.36.1-0ubuntu1.2), compiz-plugins-default:amd64 (1:0.9.13.1+18.04.20180302-0ubuntu1), qt5-gtk-platformtheme:amd64 (5.9.5+dfsg-0ubuntu1), xserver-xorg-core:amd64 (2:1.19.6-1ubuntu4.2), gnome-user-docs:amd64 (3.28.2+git20180715-0ubuntu0.1), chrome-gnome-shell:amd64 (10-1), xserver-xorg-video-nvidia-410:amd64 (410.78-0ubuntu1~gpu18.04.1), libgl1:amd64 (1.0.0-2ubuntu2.2), libgl1:i386 (1.0.0-2ubuntu2.2), yelp:amd64 (3.26.0-1ubuntu2), libyelp0:amd64 (3.26.0-1ubuntu2), libnvidia-fbc1-410:amd64 (410.78-0ubuntu1~gpu18.04.1), libnvidia-fbc1-410:i386 (410.78-0ubuntu1~gpu18.04.1), update-manager:amd64 (1:18.04.11.9), libqt5multimedia5:amd64 (5.9.5-0ubuntu1), xserver-xorg-video-fbdev:amd64 (1:0.4.4-1build6), libwxgtk-media3.0-0v5:amd64 (3.0.4+dfsg-3), ubuntu-session:amd64 (3.28.1-0ubuntu3), xserver-xorg-input-libinput:amd64 (0.27.1-1), libmutter-2-0:amd64 (3.28.3-2~ubuntu18.04.2), qml-module-qtquick-layouts:amd64 (5.9.5-0ubuntu1.1), libqt5widgets5:amd64 (5.9.5+dfsg-0ubuntu1), hud:amd64 (14.10+17.10.20170619-0ubuntu2), rhythmbox-plugins:amd64 (3.4.2-4ubuntu1), unity:amd64 (7.5.0+18.04.20180413-0ubuntu1), qmlscene:amd64 (5.9.5-0ubuntu1.1), gdm3:amd64 (3.28.3-0ubuntu18.04.3), xserver-xorg-input-wacom:amd64 (1:0.36.1-0ubuntu1), libnux-4.0-0:amd64 (4.0.8+18.04.20180622.2-0ubuntu1), libwxgtk3.0-0v5:amd64 (3.0.4+dfsg-3), xserver-xorg-hwe-16.04:amd64 (3:14.1), libqt5quicktest5:amd64 (5.9.5-0ubuntu1.1), unity-greeter:amd64 (18.04.0+18.04.20180314.1-0ubuntu2), gnome-user-guide:amd64 (3.28.2+git20180715-0ubuntu0.1), libqt5printsupport5:amd64 (5.9.5+dfsg-0ubuntu1), apturl:amd64 (0.5.2ubuntu14.2), gir1.2-rb-3.0:amd64 (3.4.2-4ubuntu1), deja-dup:amd64 (37.1-2fakesync1ubuntu0.1), xserver-xorg-video-all-hwe-16.04:amd64 (3:14.1), libwebkitgtk-1.0-0:amd64 (2.4.11-3ubuntu3), xserver-xephyr:amd64 (2:1.19.6-1ubuntu4.2), nautilus-share:amd64 (0.7.3-2ubuntu3), libqt5gui5:amd64 (5.9.5+dfsg-0ubuntu1), gvfs-fuse:amd64 (1.36.1-0ubuntu1.2), nautilus:amd64 (1:3.26.4-0~ubuntu18.04.3), ubuntu-docs:amd64 (18.04.4), xserver-xorg-video-fbdev-hwe-16.04:amd64 (3:14.1), libdbusmenu-qt5-2:amd64 (0.9.3+16.04.20160218-1ubuntu1), libgstreamer-gl1.0-0:amd64 (1.14.1-1ubuntu1~ubuntu18.04.1), xserver-xorg-video-intel:amd64 (2:2.99.917+git20171229-1), session-shortcuts:amd64 (1.3), libunity-core-6.0-9:amd64 (7.5.0+18.04.20180413-0ubuntu1), libqt5webkit5:amd64 (5.212.0~alpha2-7ubuntu1), zenity:amd64 (3.28.1-1), xserver-xorg-video-vmware-hwe-16.04:amd64 (3:14.1), xserver-xorg-video-vmware:amd64 (1:13.2.1-1build1), xwayland:amd64 (2:1.19.6-1ubuntu4.2), gnome-startup-applications:amd64 (3.28.1-0ubuntu3), libnvidia-ifr1-410:amd64 (410.78-0ubuntu1~gpu18.04.1), libnvidia-ifr1-410:i386 (410.78-0ubuntu1~gpu18.04.1), nvidia-driver-410:amd64 (410.78-0ubuntu1~gpu18.04.1), compiz-gnome:amd64 (1:0.9.13.1+18.04.20180302-0ubuntu1), libglx0:amd64 (1.0.0-2ubuntu2.2), libglx0:i386 (1.0.0-2ubuntu2.2), libwebkit2gtk-4.0-37:amd64 (2.22.5-0ubuntu0.18.04.1), gnome-online-accounts:amd64 (3.28.0-0ubuntu2.1), shotwell:amd64 (0.28.4-0ubuntu1), xserver-xorg-input-evdev:amd64 (1:2.10.5-1ubuntu1), libglu1-mesa:amd64 (9.0.0-2.1build1), gir1.2-gst-plugins-base-1.0:amd64 (1.14.1-1ubuntu1~ubuntu18.04.1), xserver-xorg-video-all:amd64 (1:7.7+19ubuntu7.1), xserver-xorg-video-ati:amd64 (1:18.0.1-1), compiz:amd64 (1:0.9.13.1+18.04.20180302-0ubuntu1), qml-module-io-thp-pyotherside:amd64 (1.4.0-2build1), libglewmx1.13:amd64 (1.13.0-4), xserver-xorg-video-intel-hwe-16.04:amd64 (3:14.1), gnome-session-bin:amd64 (3.28.1-0ubuntu3), xserver-xorg-core-hwe-16.04:amd64 (3:14.1), xserver-xorg-input-wacom-hwe-16.04:amd64 (3:14.1), libqt5opengl5:amd64 (5.9.5+dfsg-0ubuntu1), gvfs:amd64 (1.36.1-0ubuntu1.2), xserver-xorg-video-radeon:amd64 (1:18.0.1-1), ubuntu-release-upgrader-gtk:amd64 (1:18.04.30), gir1.2-webkit2-4.0:amd64 (2.22.5-0ubuntu0.18.04.1), gnome-todo:amd64 (3.28.1-1), unity-settings-daemon:amd64 (15.04.1+18.04.20180413-0ubuntu1.2), gnome-shell:amd64 (3.28.3-0ubuntu0.18.04.4), xserver-xorg-video-nouveau-hwe-16.04:amd64 (3:14.1), x11-utils:amd64 (7.7+3build1), xserver-xorg-input-all-hwe-16.04:amd64 (3:14.1), xserver-xorg-video-radeon-hwe-16.04:amd64 (3:14.1), qtdeclarative5-dev-tools:amd64 (5.9.5-0ubuntu1.1), nux-tools:amd64 (4.0.8+18.04.20180622.2-0ubuntu1), libqt5quick5:amd64 (5.9.5-0ubuntu1.1), update-notifier:amd64 (3.192.1.5), gvfs-daemons:amd64 (1.36.1-0ubuntu1.2), gnome-getting-started-docs:amd64 (3.28.2-0ubuntu0.1), gstreamer1.0-gl:amd64 (1.14.1-1ubuntu1~ubuntu18.04.1), signon-ui-x11:amd64 (0.17+18.04.20171027+really20160406-0ubuntu1), libwebkit2gtk-4.0-37-gtk2:amd64 (2.22.5-0ubuntu0.18.04.1), xserver-xorg-video-ati-hwe-16.04:amd64 (3:14.1), mutter:amd64 (3.28.3-2~ubuntu18.04.2), pyotherside:amd64 (1.4.0-2build1), libglx-mesa0:amd64 (18.0.5-0ubuntu0~18.04.1), libglx-mesa0:i386 (18.0.5-0ubuntu0~18.04.1)
End-Date: 2019-02-01  20:13:43

Start-Date: 2019-02-01  20:15:31
Commandline: /usr/sbin/synaptic
Requested-By: keith (1000)
Install: libllvm7:amd64 (1:7-3~ubuntu0.18.04.1, automatic), libllvm7:i386 (1:7-3~ubuntu0.18.04.1, automatic)
Upgrade: libxatracker2:amd64 (18.0.5-0ubuntu0~18.04.1, 18.2.2-0ubuntu1~18.04.1), libgl1-mesa-dri:amd64 (18.0.5-0ubuntu0~18.04.1, 18.2.2-0ubuntu1~18.04.1), libgl1-mesa-dri:i386 (18.0.5-0ubuntu0~18.04.1, 18.2.2-0ubuntu1~18.04.1), mesa-vdpau-drivers:amd64 (18.0.5-0ubuntu0~18.04.1, 18.2.2-0ubuntu1~18.04.1)
End-Date: 2019-02-01  20:15:35

Start-Date: 2019-02-01  20:28:31
Commandline: /usr/sbin/synaptic
Requested-By: keith (1000)
Reinstall: libxdmcp6:amd64 (1:1.1.2-3), libxdmcp6:i386 (1:1.1.2-3), python-six:amd64 (1.11.0-2), bolt:amd64 (0.5-0ubuntu0.18.04.1), gir1.2-nm-1.0:amd64 (1.10.6-2ubuntu1.1), libnvidia-compute-410:amd64 (410.78-0ubuntu1~gpu18.04.1), libnvidia-compute-410:i386 (410.78-0ubuntu1~gpu18.04.1), libgrilo-0.3-0:amd64 (0.3.4-1), libnvidia-encode-410:amd64 (410.78-0ubuntu1~gpu18.04.1), libnvidia-encode-410:i386 (410.78-0ubuntu1~gpu18.04.1), python3-macaroonbakery:amd64 (1.1.3-1), libqt5sensors5:amd64 (5.9.5-0ubuntu1), libbrotli1:amd64 (1.0.3-1ubuntu1.2), libnvidia-gl-410:amd64 (410.78-0ubuntu1~gpu18.04.1), libnvidia-gl-410:i386 (410.78-0ubuntu1~gpu18.04.1), libraw16:amd64 (0.18.8-1ubuntu0.2), libxcb-present0:amd64 (1.13-1), libxcb-present0:i386 (1.13-1), libgjs0g:amd64 (1.52.5-0ubuntu18.04.1), python-fasteners:amd64 (0.12.0-3), libwoff1:amd64 (1.0.2-1build0.1), libcdio17:amd64 (1.0.0-2ubuntu2), python3-protobuf:amd64 (3.0.0-9.1ubuntu1), libnvidia-decode-410:amd64 (410.78-0ubuntu1~gpu18.04.1), libnvidia-decode-410:i386 (410.78-0ubuntu1~gpu18.04.1), libbsd0:amd64 (0.8.7-1), libbsd0:i386 (0.8.7-1), libtracker-sparql-2.0-0:amd64 (2.0.3-1ubuntu4), libcdio-cdda2:amd64 (10.2+0.94+2-2build1), python-monotonic:amd64 (1.1-2), gir1.2-accountsservice-1.0:amd64 (0.6.45-1ubuntu1), grilo-plugins-0.3-base:amd64 (0.3.5-1ubuntu1), xserver-xorg-legacy:amd64 (2:1.19.6-1ubuntu4.2), gjs:amd64 (1.52.5-0ubuntu18.04.1), libnvidia-cfg1-410:amd64 (410.78-0ubuntu1~gpu18.04.1), libgraphene-1.0-0:amd64 (1.8.0-1), libgles2:amd64 (1.0.0-2ubuntu2.2), libdazzle-1.0-0:amd64 (3.28.1-1), nvidia-utils-410:amd64 (410.78-0ubuntu1~gpu18.04.1), libx11-6:amd64 (2:1.6.4-3ubuntu0.1), libx11-6:i386 (2:1.6.4-3ubuntu0.1), gir1.2-gdm-1.0:amd64 (3.28.3-0ubuntu18.04.3), python-lockfile:amd64 (1:0.12.2-2), libxshmfence1:amd64 (1.3-1), libxshmfence1:i386 (1.3-1), python3-pymacaroons:amd64 (0.13.0-1), libgnome-todo:amd64 (3.28.1-1), libcdio-paranoia2:amd64 (10.2+0.94+2-2build1), libxnvctrl0:amd64 (415.27-0ubuntu0~gpu18.04.1), libgdm1:amd64 (3.28.3-0ubuntu18.04.3), gir1.2-gck-1:amd64 (3.28.0-1), gir1.2-totemplparser-1.0:amd64 (3.26.0-1ubuntu2), gtk3-nocsd:amd64 (3-1ubuntu1), libgnome-autoar-0-0:amd64 (0.2.3-1), libllvm6.0:amd64 (1:6.0-1ubuntu2), libllvm6.0:i386 (1:6.0-1ubuntu2), libxau6:amd64 (1:1.0.8-1), libxau6:i386 (1:1.0.8-1), librsync1:amd64 (0.9.7-10build1), libsysmetrics1:amd64 (1.3.0~18.04), libqt5webchannel5:amd64 (5.9.5-0ubuntu1), libmetacity1:amd64 (1:3.28.0-1ubuntu0.1), libxcb1:amd64 (1.13-1), libxcb1:i386 (1.13-1), gir1.2-gweather-3.0:amd64 (3.28.2-1~ubuntu18.04.1), gtk2-engines-pixbuf:amd64 (2.24.32-1ubuntu1), gir1.2-gnomebluetooth-1.0:amd64 (3.28.0-2ubuntu0.1), libnss-myhostname:amd64 (237-3ubuntu10.11), libxcb-res0:amd64 (1.13-1), libxcb-xinerama0:amd64 (1.13-1), libxcb-xv0:amd64 (1.13-1), gir1.2-gcr-3:amd64 (3.28.0-1), libxfont2:amd64 (1:2.0.3-1), libgtk3-nocsd0:amd64 (3-1ubuntu1), libwxbase3.0-0v5:amd64 (3.0.4+dfsg-3), gir1.2-upowerglib-1.0:amd64 (0.99.7-2), python3-rfc3339:amd64 (1.0-4), liblua5.3-0:amd64 (5.3.3-1), libxfixes3:amd64 (1:5.0.3-1), libxfixes3:i386 (1:5.0.3-1), gnome-todo-common:amd64 (3.28.1-1), libsodium23:amd64 (1.0.16-2), libxxf86vm1:amd64 (1:1.1.4-1), libxxf86vm1:i386 (1:1.1.4-1), screen-resolution-extra:amd64 (0.17.3), libcolord-gtk1:amd64 (0.1.26-2), libxdamage1:amd64 (1:1.1.4-3), libxdamage1:i386 (1:1.1.4-3), gnome-control-center-faces:amd64 (1:3.28.2-0ubuntu0.18.04.2), python3-tz:amd64 (2018.3-2), python3-nacl:amd64 (1.1.2-1build1), libmozjs-52-0:amd64 (52.9.1-0ubuntu0.18.04.1), duplicity:amd64 (0.7.17-0ubuntu1), gnome-themes-extra-data:amd64 (3.28-1ubuntu1), libxcb-glx0:amd64 (1.13-1), libxcb-glx0:i386 (1.13-1), gnome-themes-extra:amd64 (3.28-1ubuntu1), libxcb-dri2-0:amd64 (1.13-1), libxcb-dri2-0:i386 (1.13-1), gir1.2-rsvg-2.0:amd64 (2.40.20-2), libxcb-dri3-0:amd64 (1.13-1), libxcb-dri3-0:i386 (1.13-1), gir1.2-nma-1.0:amd64 (1.8.10-2ubuntu2), libx11-xcb1:amd64 (2:1.6.4-3ubuntu0.1), libx11-xcb1:i386 (2:1.6.4-3ubuntu0.1), libjavascriptcoregtk-1.0-0:amd64 (2.4.11-3ubuntu3), libxcb-sync1:amd64 (1.13-1), libxcb-sync1:i386 (1.13-1), nvidia-settings:amd64 (415.27-0ubuntu0~gpu18.04.1), libxext6:amd64 (2:1.3.3-1), libxext6:i386 (2:1.3.3-1), libglvnd0:amd64 (1.0.0-2ubuntu2.2), libglvnd0:i386 (1.0.0-2ubuntu2.2)
End-Date: 2019-02-01  20:29:00

Start-Date: 2019-02-01  20:34:32
Commandline: apt autoremove
Requested-By: keith (1000)
Remove: libxdmcp6:i386 (1:1.1.2-3), python-six:amd64 (1.11.0-2), bolt:amd64 (0.5-0ubuntu0.18.04.1), gir1.2-nm-1.0:amd64 (1.10.6-2ubuntu1.1), libdrm-nouveau2:i386 (2.4.95-1~18.04.1), libnvidia-compute-410:i386 (410.78-0ubuntu1~gpu18.04.1), libllvm7:i386 (1:7-3~ubuntu0.18.04.1), libgrilo-0.3-0:amd64 (0.3.4-1), libnvidia-encode-410:i386 (410.78-0ubuntu1~gpu18.04.1), python3-macaroonbakery:amd64 (1.1.3-1), libqt5sensors5:amd64 (5.9.5-0ubuntu1), libbrotli1:amd64 (1.0.3-1ubuntu1.2), libnvidia-gl-410:i386 (410.78-0ubuntu1~gpu18.04.1), libraw16:amd64 (0.18.8-1ubuntu0.2), libpciaccess0:i386 (0.14-1), libxcb-present0:i386 (1.13-1), libgjs0g:amd64 (1.52.5-0ubuntu18.04.1), libglapi-mesa:i386 (18.2.2-0ubuntu1~18.04.1), python-fasteners:amd64 (0.12.0-3), libwoff1:amd64 (1.0.2-1build0.1), libcdio17:amd64 (1.0.0-2ubuntu2), libelf1:i386 (0.170-0.4), python3-protobuf:amd64 (3.0.0-9.1ubuntu1), libnvidia-decode-410:i386 (410.78-0ubuntu1~gpu18.04.1), libbsd0:i386 (0.8.7-1), libtracker-sparql-2.0-0:amd64 (2.0.3-1ubuntu4), libvdpau1:amd64 (1.1.1-3ubuntu1), libcdio-cdda2:amd64 (10.2+0.94+2-2build1), python-monotonic:amd64 (1.1-2), gir1.2-accountsservice-1.0:amd64 (0.6.45-1ubuntu1), grilo-plugins-0.3-base:amd64 (0.3.5-1ubuntu1), xserver-xorg-legacy:amd64 (2:1.19.6-1ubuntu4.2), gjs:amd64 (1.52.5-0ubuntu18.04.1), libnvidia-cfg1-410:amd64 (410.78-0ubuntu1~gpu18.04.1), libgraphene-1.0-0:amd64 (1.8.0-1), libgles2:amd64 (1.0.0-2ubuntu2.2), libdazzle-1.0-0:amd64 (3.28.1-1), nvidia-utils-410:amd64 (410.78-0ubuntu1~gpu18.04.1), vdpau-driver-all:amd64 (1.1.1-3ubuntu1), libx11-6:i386 (2:1.6.4-3ubuntu0.1), gir1.2-gdm-1.0:amd64 (3.28.3-0ubuntu18.04.3), libexpat1:i386 (2.2.5-3), python-lockfile:amd64 (1:0.12.2-2), libxshmfence1:i386 (1.3-1), python3-pymacaroons:amd64 (0.13.0-1), libgnome-todo:amd64 (3.28.1-1), libcdio-paranoia2:amd64 (10.2+0.94+2-2build1), libxnvctrl0:amd64 (415.27-0ubuntu0~gpu18.04.1), libgdm1:amd64 (3.28.3-0ubuntu18.04.3), gir1.2-gck-1:amd64 (3.28.0-1), libdrm-amdgpu1:i386 (2.4.95-1~18.04.1), gir1.2-totemplparser-1.0:amd64 (3.26.0-1ubuntu2), gtk3-nocsd:amd64 (3-1ubuntu1), libgnome-autoar-0-0:amd64 (0.2.3-1), libllvm6.0:amd64 (1:6.0-1ubuntu2), libllvm6.0:i386 (1:6.0-1ubuntu2), libxau6:i386 (1:1.0.8-1), librsync1:amd64 (0.9.7-10build1), libsysmetrics1:amd64 (1.3.0~18.04), libqt5webchannel5:amd64 (5.9.5-0ubuntu1), libmetacity1:amd64 (1:3.28.0-1ubuntu0.1), libxcb1:i386 (1.13-1), gir1.2-gweather-3.0:amd64 (3.28.2-1~ubuntu18.04.1), gtk2-engines-pixbuf:amd64 (2.24.32-1ubuntu1), gir1.2-gnomebluetooth-1.0:amd64 (3.28.0-2ubuntu0.1), libnss-myhostname:amd64 (237-3ubuntu10.11), libxcb-res0:amd64 (1.13-1), libxcb-xinerama0:amd64 (1.13-1), libxcb-xv0:amd64 (1.13-1), gir1.2-gcr-3:amd64 (3.28.0-1), libxfont2:amd64 (1:2.0.3-1), libgtk3-nocsd0:amd64 (3-1ubuntu1), libdrm2:i386 (2.4.95-1~18.04.1), libwxbase3.0-0v5:amd64 (3.0.4+dfsg-3), gir1.2-upowerglib-1.0:amd64 (0.99.7-2), python3-rfc3339:amd64 (1.0-4), liblua5.3-0:amd64 (5.3.3-1), libxfixes3:i386 (1:5.0.3-1), gnome-todo-common:amd64 (3.28.1-1), libgl1-mesa-dri:i386 (18.2.2-0ubuntu1~18.04.1), libsodium23:amd64 (1.0.16-2), libxxf86vm1:i386 (1:1.1.4-1), screen-resolution-extra:amd64 (0.17.3), libcolord-gtk1:amd64 (0.1.26-2), libxdamage1:i386 (1:1.1.4-3), gnome-control-center-faces:amd64 (1:3.28.2-0ubuntu0.18.04.2), python3-tz:amd64 (2018.3-2), libedit2:i386 (3.1-20170329-1), libdrm-intel1:i386 (2.4.95-1~18.04.1), libffi6:i386 (3.2.1-8), python3-nacl:amd64 (1.1.2-1build1), libmozjs-52-0:amd64 (52.9.1-0ubuntu0.18.04.1), libdrm-radeon1:i386 (2.4.95-1~18.04.1), mesa-vdpau-drivers:amd64 (18.2.2-0ubuntu1~18.04.1), duplicity:amd64 (0.7.17-0ubuntu1), gnome-themes-extra-data:amd64 (3.28-1ubuntu1), libstdc++6:i386 (8.2.0-1ubuntu2~18.04), libxcb-glx0:i386 (1.13-1), gnome-themes-extra:amd64 (3.28-1ubuntu1), libxcb-dri2-0:i386 (1.13-1), gir1.2-rsvg-2.0:amd64 (2.40.20-2), libsensors4:i386 (1:3.4.0-4), libxcb-dri3-0:i386 (1.13-1), gir1.2-nma-1.0:amd64 (1.8.10-2ubuntu2), libx11-xcb1:i386 (2:1.6.4-3ubuntu0.1), libjavascriptcoregtk-1.0-0:amd64 (2.4.11-3ubuntu3), libxcb-sync1:i386 (1.13-1), nvidia-settings:amd64 (415.27-0ubuntu0~gpu18.04.1), libxext6:i386 (2:1.3.3-1), libglvnd0:i386 (1.0.0-2ubuntu2.2)
End-Date: 2019-02-01  20:34:42

Start-Date: 2019-02-01  20:41:43
Commandline: apt install gnome-session gdm3
Requested-By: keith (1000)
Install: libgoa-backend-1.0-1:amd64 (3.28.0-0ubuntu2.1, automatic), xserver-xorg-input-all:amd64 (1:7.7+19ubuntu7.1, automatic), xserver-xorg:amd64 (1:7.7+19ubuntu7.1, automatic), libcogl20:amd64 (1.22.2-3, automatic), xserver-xorg-video-qxl:amd64 (0.1.5-2build1, automatic), xserver-xorg-video-vesa:amd64 (1:2.3.4-1build3, automatic), bolt:amd64 (0.5-0ubuntu0.18.04.1, automatic), libclutter-1.0-0:amd64 (1.26.2+dfsg-4, automatic), gir1.2-nm-1.0:amd64 (1.10.6-2ubuntu1.1, automatic), gnome-session:amd64 (3.28.1-0ubuntu3), xserver-xorg-video-nouveau:amd64 (1:1.0.15-2, automatic), libclutter-gst-3.0-0:amd64 (3.0.26-1, automatic), xserver-xorg-video-amdgpu:amd64 (18.0.1-1, automatic), gir1.2-mutter-2:amd64 (3.28.3-2~ubuntu18.04.2, automatic), gnome-control-center:amd64 (1:3.28.2-0ubuntu0.18.04.2, automatic), xserver-xorg-core:amd64 (2:1.19.6-1ubuntu4.2, automatic), adwaita-icon-theme-full:amd64 (3.28.0-1ubuntu1, automatic), libgrilo-0.3-0:amd64 (0.3.4-1, automatic), libcogl-path20:amd64 (1.22.2-3, automatic), gnome-user-docs:amd64 (3.28.2+git20180715-0ubuntu0.1, automatic), python3-macaroonbakery:amd64 (1.1.3-1, automatic), libbrotli1:amd64 (1.0.3-1ubuntu1.2, automatic), libgl1:amd64 (1.0.0-2ubuntu2.2, automatic), libgjs0g:amd64 (1.52.5-0ubuntu18.04.1, automatic), yelp:amd64 (3.26.0-1ubuntu2, automatic), libyelp0:amd64 (3.26.0-1ubuntu2, automatic), libwoff1:amd64 (1.0.2-1build0.1, automatic), python3-protobuf:amd64 (3.0.0-9.1ubuntu1, automatic), fonts-cantarell:amd64 (0.0.25-4, automatic), xserver-xorg-video-fbdev:amd64 (1:0.4.4-1build6, automatic), gir1.2-accountsservice-1.0:amd64 (0.6.45-1ubuntu1, automatic), xserver-xorg-input-libinput:amd64 (0.27.1-1, automatic), libmutter-2-0:amd64 (3.28.3-2~ubuntu18.04.2, automatic), xserver-xorg-legacy:amd64 (2:1.19.6-1ubuntu4.2, automatic), gjs:amd64 (1.52.5-0ubuntu18.04.1, automatic), libcogl-pango20:amd64 (1.22.2-3, automatic), libgraphene-1.0-0:amd64 (1.8.0-1, automatic), libgles2:amd64 (1.0.0-2ubuntu2.2, automatic), gdm3:amd64 (3.28.3-0ubuntu18.04.3), xserver-xorg-input-wacom:amd64 (1:0.36.1-0ubuntu1, automatic), gir1.2-gdm-1.0:amd64 (3.28.3-0ubuntu18.04.3, automatic), gnome-user-guide:amd64 (3.28.2+git20180715-0ubuntu0.1, automatic), python3-pymacaroons:amd64 (0.13.0-1, automatic), xserver-xephyr:amd64 (2:1.19.6-1ubuntu4.2, automatic), libgdm1:amd64 (3.28.3-0ubuntu18.04.3, automatic), gir1.2-gck-1:amd64 (3.28.0-1, automatic), ubuntu-docs:amd64 (18.04.4, automatic), gir1.2-gweather-3.0:amd64 (3.28.2-1~ubuntu18.04.1, automatic), gtk2-engines-pixbuf:amd64 (2.24.32-1ubuntu1, automatic), gir1.2-gnomebluetooth-1.0:amd64 (3.28.0-2ubuntu0.1, automatic), libnss-myhostname:amd64 (237-3ubuntu10.11, automatic), libxcb-res0:amd64 (1.13-1, automatic), libgstreamer-gl1.0-0:amd64 (1.14.1-1ubuntu1~ubuntu18.04.1, automatic), xserver-xorg-video-intel:amd64 (2:2.99.917+git20171229-1, automatic), libxcb-xv0:amd64 (1.13-1, automatic), zenity:amd64 (3.28.1-1, automatic), gir1.2-gcr-3:amd64 (3.28.0-1, automatic), libxfont2:amd64 (1:2.0.3-1, automatic), xserver-xorg-video-vmware:amd64 (1:13.2.1-1build1, automatic), xwayland:amd64 (2:1.19.6-1ubuntu4.2, automatic), gnome-startup-applications:amd64 (3.28.1-0ubuntu3, automatic), libglx0:amd64 (1.0.0-2ubuntu2.2, automatic), libwebkit2gtk-4.0-37:amd64 (2.22.5-0ubuntu0.18.04.1, automatic), gnome-online-accounts:amd64 (3.28.0-0ubuntu2.1, automatic), gir1.2-upowerglib-1.0:amd64 (0.99.7-2, automatic), python3-rfc3339:amd64 (1.0-4, automatic), xserver-xorg-video-all:amd64 (1:7.7+19ubuntu7.1, automatic), xserver-xorg-video-ati:amd64 (1:18.0.1-1, automatic), libsodium23:amd64 (1.0.16-2, automatic), gnome-session-bin:amd64 (3.28.1-0ubuntu3, automatic), libcheese-gtk25:amd64 (3.28.0-1ubuntu1, automatic), libcolord-gtk1:amd64 (0.1.26-2, automatic), gnome-control-center-faces:amd64 (1:3.28.2-0ubuntu0.18.04.2, automatic), libgl1-mesa-glx:amd64 (18.2.2-0ubuntu1~18.04.1, automatic), xserver-xorg-video-radeon:amd64 (1:18.0.1-1, automatic), python3-tz:amd64 (2018.3-2, automatic), libcheese8:amd64 (3.28.0-1ubuntu1, automatic), python3-nacl:amd64 (1.1.2-1build1, automatic), gnome-shell:amd64 (3.28.3-0ubuntu0.18.04.4, automatic), libmozjs-52-0:amd64 (52.9.1-0ubuntu0.18.04.1, automatic), gnome-themes-extra-data:amd64 (3.28-1ubuntu1, automatic), gstreamer1.0-clutter-3.0:amd64 (3.0.26-1, automatic), gnome-themes-extra:amd64 (3.28-1ubuntu1, automatic), gir1.2-rsvg-2.0:amd64 (2.40.20-2, automatic), gir1.2-nma-1.0:amd64 (1.8.10-2ubuntu2, automatic), gstreamer1.0-gl:amd64 (1.14.1-1ubuntu1~ubuntu18.04.1, automatic), mutter:amd64 (3.28.3-2~ubuntu18.04.2, automatic), libclutter-gtk-1.0-0:amd64 (1.8.4-3, automatic), libglx-mesa0:amd64 (18.2.2-0ubuntu1~18.04.1, automatic)
End-Date: 2019-02-01  20:41:55

Start-Date: 2019-02-01  20:51:49
Commandline: apt install nvidia-driver-390
Install: libxdmcp6:i386 (1:1.1.2-3, automatic), libdrm-nouveau2:i386 (2.4.95-1~18.04.1, automatic), libnvidia-compute-390:amd64 (390.87-0ubuntu0~gpu18.04.1, automatic), libnvidia-compute-390:i386 (390.87-0ubuntu0~gpu18.04.1, automatic), libnvidia-encode-390:amd64 (390.87-0ubuntu0~gpu18.04.1, automatic), libnvidia-encode-390:i386 (390.87-0ubuntu0~gpu18.04.1, automatic), libllvm7:i386 (1:7-3~ubuntu0.18.04.1, automatic), nvidia-kernel-common-390:amd64 (390.87-0ubuntu0~gpu18.04.1, automatic), xserver-xorg-video-nvidia-390:amd64 (390.87-0ubuntu0~gpu18.04.1, automatic), libnvidia-gl-390:amd64 (390.87-0ubuntu0~gpu18.04.1, automatic), libnvidia-gl-390:i386 (390.87-0ubuntu0~gpu18.04.1, automatic), libpciaccess0:i386 (0.14-1, automatic), libxcb-present0:i386 (1.13-1, automatic), libgl1:i386 (1.0.0-2ubuntu2.2, automatic), libnvidia-fbc1-390:amd64 (390.87-0ubuntu0~gpu18.04.1, automatic), libnvidia-fbc1-390:i386 (390.87-0ubuntu0~gpu18.04.1, automatic), libglapi-mesa:i386 (18.2.2-0ubuntu1~18.04.1, automatic), libnvidia-decode-390:amd64 (390.87-0ubuntu0~gpu18.04.1, automatic), libnvidia-decode-390:i386 (390.87-0ubuntu0~gpu18.04.1, automatic), libelf1:i386 (0.170-0.4, automatic), libbsd0:i386 (0.8.7-1, automatic), libvdpau1:amd64 (1.1.1-3ubuntu1, automatic), libnvidia-cfg1-390:amd64 (390.87-0ubuntu0~gpu18.04.1, automatic), nvidia-utils-390:amd64 (390.87-0ubuntu0~gpu18.04.1, automatic), vdpau-driver-all:amd64 (1.1.1-3ubuntu1, automatic), libx11-6:i386 (2:1.6.4-3ubuntu0.1, automatic), nvidia-prime:amd64 (0.8.8.2, automatic), libexpat1:i386 (2.2.5-3, automatic), nvidia-dkms-390:amd64 (390.87-0ubuntu0~gpu18.04.1, automatic), libxshmfence1:i386 (1.3-1, automatic), libwayland-client0:i386 (1.16.0-1ubuntu1.1~18.04.1, automatic), libxnvctrl0:amd64 (415.27-0ubuntu0~gpu18.04.1, automatic), libdrm-amdgpu1:i386 (2.4.95-1~18.04.1, automatic), libxau6:i386 (1:1.0.8-1, automatic), libxcb1:i386 (1.13-1, automatic), nvidia-compute-utils-390:amd64 (390.87-0ubuntu0~gpu18.04.1, automatic), libnvidia-ifr1-390:amd64 (390.87-0ubuntu0~gpu18.04.1, automatic), libnvidia-ifr1-390:i386 (390.87-0ubuntu0~gpu18.04.1, automatic), nvidia-driver-390:amd64 (390.87-0ubuntu0~gpu18.04.1), libdrm2:i386 (2.4.95-1~18.04.1, automatic), libglx0:i386 (1.0.0-2ubuntu2.2, automatic), libxfixes3:i386 (1:5.0.3-1, automatic), libgl1-mesa-dri:i386 (18.2.2-0ubuntu1~18.04.1, automatic), libxxf86vm1:i386 (1:1.1.4-1, automatic), screen-resolution-extra:amd64 (0.17.3, automatic), libxdamage1:i386 (1:1.1.4-3, automatic), libedit2:i386 (3.1-20170329-1, automatic), libdrm-intel1:i386 (2.4.95-1~18.04.1, automatic), libffi6:i386 (3.2.1-8, automatic), libnvidia-common-390:amd64 (390.87-0ubuntu0~gpu18.04.1, automatic), libdrm-radeon1:i386 (2.4.95-1~18.04.1, automatic), mesa-vdpau-drivers:amd64 (18.2.2-0ubuntu1~18.04.1, automatic), libstdc++6:i386 (8.2.0-1ubuntu2~18.04, automatic), libxcb-glx0:i386 (1.13-1, automatic), libxcb-dri2-0:i386 (1.13-1, automatic), libsensors4:i386 (1:3.4.0-4, automatic), libxcb-dri3-0:i386 (1.13-1, automatic), nvidia-kernel-source-390:amd64 (390.87-0ubuntu0~gpu18.04.1, automatic), libwayland-server0:i386 (1.16.0-1ubuntu1.1~18.04.1, automatic), libx11-xcb1:i386 (2:1.6.4-3ubuntu0.1, automatic), libxcb-sync1:i386 (1.13-1, automatic), nvidia-settings:amd64 (415.27-0ubuntu0~gpu18.04.1, automatic), libxext6:i386 (2:1.3.3-1, automatic), libglx-mesa0:i386 (18.2.2-0ubuntu1~18.04.1, automatic), libglvnd0:i386 (1.0.0-2ubuntu2.2, automatic)
Remove: libnvidia-compute-410:amd64 (410.78-0ubuntu1~gpu18.04.1), libnvidia-encode-410:amd64 (410.78-0ubuntu1~gpu18.04.1), nvidia-kernel-common-410:amd64 (410.78-0ubuntu1~gpu18.04.1), libnvidia-gl-410:amd64 (410.78-0ubuntu1~gpu18.04.1), libnvidia-decode-410:amd64 (410.78-0ubuntu1~gpu18.04.1), nvidia-dkms-410:amd64 (410.78-0ubuntu1~gpu18.04.1), nvidia-compute-utils-410:amd64 (410.78-0ubuntu1~gpu18.04.1), nvidia-kernel-source-410:amd64 (410.78-0ubuntu1~gpu18.04.1)
End-Date: 2019-02-01  20:52:35

Start-Date: 2019-02-01  20:54:32
Commandline: apt install tasksel
Install: tasksel-data:amd64 (3.34ubuntu11, automatic), tasksel:amd64 (3.34ubuntu11)
End-Date: 2019-02-01  20:54:32

Looks like there is a character limit of 32000 and I have 36813 to post. Guess I will chop some off an put in another post.


#9

Here is the rest.

Summary
Start-Date: 2019-02-01  20:56:10
Commandline: apt-get -o APT::Status-Fd=4 -o APT::Keep-Fds::=5 -o APT::Keep-Fds::=6 -q -y -o APT::Install-Recommends=true -o APT::Get::AutomaticRemove=true -o APT::Acquire::Retries=3 install ubuntu-desktop^
Install: gnome-calendar:amd64 (3.28.2-0ubuntu0.18.04.1), libedataserverui-1.2-2:amd64 (3.28.5-0ubuntu0.18.04.1), gvfs-backends:amd64 (1.36.1-0ubuntu1.2), libraw16:amd64 (0.18.8-1ubuntu0.2), update-manager:amd64 (1:18.04.11.9), libcdio17:amd64 (1.0.0-2ubuntu2), libtracker-sparql-2.0-0:amd64 (2.0.3-1ubuntu4), libcdio-cdda2:amd64 (10.2+0.94+2-2build1), ubuntu-session:amd64 (3.28.1-0ubuntu3), notification-daemon:amd64 (3.20.0-3), ubuntu-desktop:amd64 (1.417), grilo-plugins-0.3-base:amd64 (0.3.5-1ubuntu1), rhythmbox-plugins:amd64 (3.4.2-4ubuntu1), libdazzle-1.0-0:amd64 (3.28.1-1), cheese:amd64 (3.28.0-1ubuntu1), apturl:amd64 (0.5.2ubuntu14.2), gir1.2-rb-3.0:amd64 (3.4.2-4ubuntu1), deja-dup:amd64 (37.1-2fakesync1ubuntu0.1), libgnome-todo:amd64 (3.28.1-1), libcdio-paranoia2:amd64 (10.2+0.94+2-2build1), nautilus-share:amd64 (0.7.3-2ubuntu3), gir1.2-totemplparser-1.0:amd64 (3.26.0-1ubuntu2), libgnome-autoar-0-0:amd64 (0.2.3-1), libllvm6.0:amd64 (1:6.0-1ubuntu2), gvfs-fuse:amd64 (1.36.1-0ubuntu1.2), nautilus:amd64 (1:3.26.4-0~ubuntu18.04.3), libsysmetrics1:amd64 (1.3.0~18.04), shotwell:amd64 (0.28.4-0ubuntu1), libglu1-mesa:amd64 (9.0.0-2.1build1), gir1.2-gst-plugins-base-1.0:amd64 (1.14.1-1ubuntu1~ubuntu18.04.1), liblua5.3-0:amd64 (5.3.3-1), totem-plugins:amd64 (3.26.0-0ubuntu6.2), libtotem0:amd64 (3.26.0-0ubuntu6.2), gnome-todo-common:amd64 (3.28.1-1), gir1.2-totem-1.0:amd64 (3.26.0-0ubuntu6.2), xorg:amd64 (1:7.7+19ubuntu7.1), gnome-initial-setup:amd64 (3.28.0-2ubuntu6.16.04.4), gvfs:amd64 (1.36.1-0ubuntu1.2), ubuntu-release-upgrader-gtk:amd64 (1:18.04.30), gir1.2-webkit2-4.0:amd64 (2.22.5-0ubuntu0.18.04.1), gnome-todo:amd64 (3.28.1-1), totem:amd64 (3.26.0-0ubuntu6.2), x11-utils:amd64 (7.7+3build1), update-notifier:amd64 (3.192.1.5), gvfs-daemons:amd64 (1.36.1-0ubuntu1.2), gnome-getting-started-docs:amd64 (3.28.2-0ubuntu0.1)
End-Date: 2019-02-01  20:56:17

Start-Date: 2019-02-01  21:02:32
Commandline: aptdaemon role='role-commit-packages' sender=':1.71'
Install: libnvidia-compute-415:amd64 (415.27-0ubuntu0~gpu18.04.1, automatic), libnvidia-compute-415:i386 (415.27-0ubuntu0~gpu18.04.1, automatic), libnvidia-encode-415:amd64 (415.27-0ubuntu0~gpu18.04.1, automatic), libnvidia-encode-415:i386 (415.27-0ubuntu0~gpu18.04.1, automatic), nvidia-kernel-common-415:amd64 (415.27-0ubuntu0~gpu18.04.1, automatic), xserver-xorg-video-nvidia-415:amd64 (415.27-0ubuntu0~gpu18.04.1, automatic), libnvidia-gl-415:amd64 (415.27-0ubuntu0~gpu18.04.1, automatic), libnvidia-gl-415:i386 (415.27-0ubuntu0~gpu18.04.1, automatic), libnvidia-fbc1-415:amd64 (415.27-0ubuntu0~gpu18.04.1, automatic), libnvidia-fbc1-415:i386 (415.27-0ubuntu0~gpu18.04.1, automatic), libnvidia-decode-415:amd64 (415.27-0ubuntu0~gpu18.04.1, automatic), libnvidia-decode-415:i386 (415.27-0ubuntu0~gpu18.04.1, automatic), libnvidia-cfg1-415:amd64 (415.27-0ubuntu0~gpu18.04.1, automatic), nvidia-utils-415:amd64 (415.27-0ubuntu0~gpu18.04.1, automatic), nvidia-dkms-415:amd64 (415.27-0ubuntu0~gpu18.04.1, automatic), nvidia-compute-utils-415:amd64 (415.27-0ubuntu0~gpu18.04.1, automatic), libnvidia-ifr1-415:amd64 (415.27-0ubuntu0~gpu18.04.1, automatic), libnvidia-ifr1-415:i386 (415.27-0ubuntu0~gpu18.04.1, automatic), nvidia-driver-415:amd64 (415.27-0ubuntu0~gpu18.04.1), libnvidia-common-415:amd64 (415.27-0ubuntu0~gpu18.04.1, automatic), nvidia-kernel-source-415:amd64 (415.27-0ubuntu0~gpu18.04.1, automatic)
Remove: libnvidia-compute-390:amd64 (390.87-0ubuntu0~gpu18.04.1), libnvidia-compute-390:i386 (390.87-0ubuntu0~gpu18.04.1), libnvidia-encode-390:amd64 (390.87-0ubuntu0~gpu18.04.1), libnvidia-encode-390:i386 (390.87-0ubuntu0~gpu18.04.1), nvidia-kernel-common-390:amd64 (390.87-0ubuntu0~gpu18.04.1), xserver-xorg-video-nvidia-390:amd64 (390.87-0ubuntu0~gpu18.04.1), libnvidia-gl-390:amd64 (390.87-0ubuntu0~gpu18.04.1), libnvidia-gl-390:i386 (390.87-0ubuntu0~gpu18.04.1), libnvidia-fbc1-390:amd64 (390.87-0ubuntu0~gpu18.04.1), libnvidia-fbc1-390:i386 (390.87-0ubuntu0~gpu18.04.1), libnvidia-decode-390:amd64 (390.87-0ubuntu0~gpu18.04.1), libnvidia-decode-390:i386 (390.87-0ubuntu0~gpu18.04.1), libnvidia-cfg1-390:amd64 (390.87-0ubuntu0~gpu18.04.1), nvidia-utils-390:amd64 (390.87-0ubuntu0~gpu18.04.1), nvidia-dkms-390:amd64 (390.87-0ubuntu0~gpu18.04.1), nvidia-compute-utils-390:amd64 (390.87-0ubuntu0~gpu18.04.1), libnvidia-ifr1-390:amd64 (390.87-0ubuntu0~gpu18.04.1), libnvidia-ifr1-390:i386 (390.87-0ubuntu0~gpu18.04.1), nvidia-driver-390:amd64 (390.87-0ubuntu0~gpu18.04.1), nvidia-kernel-source-390:amd64 (390.87-0ubuntu0~gpu18.04.1)
End-Date: 2019-02-01  21:03:12

Start-Date: 2019-02-01  21:27:15
Commandline: /usr/sbin/synaptic
Requested-By: keith (1000)
Install: libwebkitgtk-1.0-0:amd64 (2.4.11-3ubuntu3), libjavascriptcoregtk-1.0-0:amd64 (2.4.11-3ubuntu3, automatic)
End-Date: 2019-02-01  21:27:16

Start-Date: 2019-02-01  21:32:38
Commandline: /usr/sbin/synaptic
Requested-By: keith (1000)
Purge: libwayland-client0:i386 (1.16.0-1ubuntu1.1~18.04.1), libnvidia-common-390:amd64 (390.87-0ubuntu0~gpu18.04.1), libwayland-server0:i386 (1.16.0-1ubuntu1.1~18.04.1)
End-Date: 2019-02-01  21:32:38

Start-Date: 2019-02-01  21:35:19
Commandline: /usr/sbin/synaptic
Requested-By: keith (1000)
Purge: libnvidia-compute-390:amd64 (), libnvidia-compute-410:amd64 (), nvidia-kernel-common-390:amd64 (), chrome-gnome-shell:amd64 (), nvidia-kernel-common-410:amd64 (), hud:amd64 (), unity:amd64 (), nvidia-dkms-390:amd64 (), unity-control-center:amd64 (), unity-greeter:amd64 (), nvidia-dkms-410:amd64 (), libqt5gui5:amd64 (), gtk3-nocsd:amd64 (), nvidia-compute-utils-390:amd64 (), nvidia-compute-utils-410:amd64 (), indicator-bluetooth:amd64 (), libunity-core-6.0-9:amd64 (), xserver-xorg-video-vmware-hwe-16.04:amd64 (), compiz-gnome:amd64 (), unity-settings-daemon:amd64 (), nux-tools:amd64 ()
End-Date: 2019-02-01  21:36:09

#10

Right now in Synaptic on both machines, is a long list of pending updates and removals. Something is really confused. I looked at the pending updates and any installation of them will remove the desktop again and gnome and a bunch of other stuff.

Seems the thing that started it all was the installation/update of libllvm7 to replace libllvm6. That forces all of the DRM Mesa VDPAU Wayland garbage on me.


#11

any chance you have a backup to roll back to? truly not asking to be pedantic. i just know sometimes when my system borks, i get caught in fix mode and forget the backup for a bit.


#12

No, no backup other than /home. I’ve had to reinstall from scratch a few times. The most important thing to move off the local storage is the BOINC folder. That is the only thing that is important.

I was actually surprised I was able to recover everything back to normal. Looking at all the red text in the boot load sequence and ending up at the tty terminal, I thought I was for sure going to have to rebuild from scratch.

Saving grace was being able to use another computer in my farm to start Googling for solutions.


#13

not that it makes retrieval less important, but i was always under the assumption that the boinc manager (assuming fairly regular online connection) kept track of task status. i know i wouldn’t want to lose a 15+ hour computation (the longest my old 32-bit system is showing at present), but figured there was some redundancy built into the project just in case.


#14

And I forgot to add the problems with these updates started the other day on another computer. Different problem, same set of updates that accompanied the 4.15.0-45-generic kernel. I did the first computer and ended up with what looked like my normal desktop only to discover I was on the nouveau drivers instead of my Nvidia drivers. At least I always check first to make sure the compute drivers are in place before I start BOINC so I don’t dump all my work.

Software Updater said I was still on the 410 drivers and wouldn’t let me re-install them. Uh no, not the case at all, nouveau in place. So to get going again I went with the short lived 415 branch instead of my usual long term 410 branch. They seem to work so that only took the half hour to download that branch and install.


#15

I run anonymous platform and special applications. If the drivers for the app aren’t there, then you error through all 4900 tasks in about 10 seconds. Too fast to do anything about it.


#16

yeah, that is way more intensive than the two running tasks i have plus the two or so downloaded and waiting. definitely worth the recovery time.

it isn’t exactly the same scope as yours, but a few days ago i did a fresh lubuntu (18.04) install and the first update && upgrade broke dpkg. that’s not my daily use partition (just wanted a look at lubuntu) so i haven’t been back in to see if it is salvageable, but i was surprised what a mess was made by what felt like a fairly simple terminal run.


#17

Yeah, the simplest things can sometimes bite you in the ass. I keep shepherd on 5 crunchers with 17 gpus running in my farm with about 6600 Seti tasks onboard. Plus the tasks for MilkyWay, Einstein and GPUGrid. The ones for GPUgrid hurt the worst because they run for 2-6 hours if a gpu or app has a problem. Running CUDA9 and CUDA10 special app for Seti. CUDA8 for GPUGrid and OpenCL for Einstein and Milkyway.

Keeps me busy.


#18

crunching numbers for seti was my introduction to distributed computing many many moons ago. these days i work with the world community grid on my older equipment.

i can only imagine! :slight_smile:


#19

Come April will be 18 years with Seti when I started with Classic and OS/2. Belong to the GPU Users Group Team. Primary interest in astro sciences as you can see from project membership. Joined GPUGrid last year to get started with the bio sciences.

Well, the farm is back together and crunching after the drama. Thanks again for the assistance.


#20

that was a quick rebuild. glad to hear you got it all sorted. i know you didn’t ask for backup advice, but timeshift has helped me through a couple (very minor compared to yours) weird update situations. in case that might help save some headache in the future :slight_smile:

happy stargazing :star_struck::stars::star2: